<template>
  <doc-content-with-toc :toc-deepness="2">
    <h1>Paddings</h1>

    <template v-for="(variants, name) in paddings" :key="name">
      <section>
        <h2>{{ name }}</h2>

        <template v-for="v in variants" :key="v">
          <h3><code>.{{ v }}</code></h3>

          <div :class="`-doc-outline ${v}`">{{ longSampleText }}</div>
        </template>
      </section>
    </template>
  </doc-content-with-toc>
</template>

<script>
import { sizeVariant } from '../../utils/functions.js'
import { longSampleText } from '../../utils/constants.js'
import { DocContentWithToc } from '../../../../documentation_system/components/index.js'

const paddings = {
  'Vertical paddings (-pv*)': sizeVariant('-pv'),
  'Horizontal paddings (-ph*)': sizeVariant('-ph'),
  'Bottom paddings (-pb*)': sizeVariant('-pb'),
  'Top paddings (-pt*)': sizeVariant('-pt'),
  'Left paddings (-pl*)': sizeVariant('-pl'),
  'Right paddings (-pr*)': sizeVariant('-pr'),
  'All sides paddings (-p*)': sizeVariant('pm'),
}

export default {
  name: 'PaddingsView',
  components: { DocContentWithToc },
  data () {
    return {
      paddings,
      longSampleText,
    }
  },
  created () {
    this.$setTitle('Paddings')
  },
}
</script>
